@import 'assets/variables.scss';

.root {
  height: 100%;
  width: $sidebar-width;
  position: fixed;
  padding: $cell * 3 $cell * 2;
  top: 0;
  left: 0;
  background-color: $pale-background;
}

.toolsImage {
  width: 32px;
  height: 32px;
  margin-right: $cell;
}

.brand {
  font-size: 2.2em;
  font-weight: bold;
  padding-bottom: $cell * 6;
  display: flex;
  align-items: center;
}

.pages {
  display: block;
}

.login {
  position: absolute;
  bottom: $cell * 5;
  left: $cell * 3;
  width: calc(100% - 48px);
}

.pageItem {
  display: flex;
  align-items: center;
  padding: $cell * 1.5 $cell * 2;
  margin-bottom: $cell * 1;
  border-radius: 5px;
  font-size: 1.6rem;
  cursor: pointer;

  &:hover {
    background-color: $primary-highlight;
  }

  .icon {
    margin-right: $cell * 2;
  }
}

.selected {
  background-color: $primary;
  color: white;

  &:hover {
    background-color: $primary;
  }

  .icon {
    fill: white;
  }
}
  